#!/bin/sh

LISTA="/usr/local/cga-comparte-impresora/lista_ips.txt"
MICUPSD="/etc/cups/cga-cupsd.conf"
ESTADO="/usr/local/cga-comparte-impresora/compartiendo"

echo -n ''>$MICUPSD

echo "#\n#  Archivo de extension de cupsd.conf\n#">>$MICUPSD

echo '\n# En vez de publicar por nombre' >> $MICUPSD
echo '# publicamos su ip' >> $MICUPSD

echo "\n<Location />\n  Order allow, deny">>$MICUPSD

while read IP
do
	echo "  Allow from $IP">>$MICUPSD
done < $LISTA


echo "</Location>">>$MICUPSD
echo "\nBrowsing On">>$MICUPSD
echo "BrowseOrder allow,deny">>$MICUPSD

echo "#START IP">>$MICUPSD

while read IP
do
	echo "BrowseAddress  $IP">>$MICUPSD
done < $LISTA

echo "#END IP">>$MICUPSD

#ACTUALIZAMOS EL FICHERO PARA INDICAR A PYTHON QUE SE ESTA COMPARTIENDO
if [ `cat $LISTA|wc -l` -gt 0 ]
then
	echo "2">$ESTADO
else
	echo "0">$ESTADO
fi

echo "REINICIANDO CUPS"
/etc/init.d/cups restart

return 
